﻿using Microsoft.EntityFrameworkCore;
using NetworkResurrector.Agent.Domain.Data.DbContexts;
using NetworkResurrector.Agent.Domain.Entities;
using NetworkResurrector.Agent.Domain.Repositories;
using System.Threading.Tasks;

namespace NetworkResurrector.Agent.Domain.Data.Repositories
{
    class AgentRepository : IAgentRepository
    {
        private readonly AgentDbContext _dbContext;

        public AgentRepository(AgentDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public Task<Machine[]> GetMachines()
        {
            return _dbContext.Machines.ToArrayAsync();
        }
    }
}
